## org.eclipse.m2m.atl.drivers.emf4atl.tcs.extractor
Class TCSExtractor

    java.lang.Object
      org.eclipse.m2m.atl.drivers.emf4atl.tcs.extractor.TCSExtractor

All Implemented Interfaces:
  Extractor

    public class TCSExtractor

extends java.lang.Object
implements Extractor

Created on 9 mars 2005

Constructor Summary
`TCSExtractor()`

Method Summary
`void` `extract(ASMModel format, ASMModel extent, java.io.OutputStream out)`
`void` `extract(ASMModel source, java.io.OutputStream target, java.util.Map params)` Performs the extraction.
`java.util.Map` `getParameterTypes()` returns the list of parameters supported by this extractor in the form of a Map with parameter names as keys and type name as value.
`java.lang.String` `getPrefix()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TCSExtractor

    public TCSExtractor()

Method Detail

### getParameterTypes

    public java.util.Map getParameterTypes()

  Description copied from interface: `Extractor`
  returns the list of parameters supported by this extractor in the form of a Map with parameter names as keys and type name as value. Known type names are: "String" "Model"

  Specified by:
    `getParameterTypes` in interface `Extractor`

### extract

    public void extract(ASMModel source,
                        java.io.OutputStream target,
                        java.util.Map params)

  Performs the extraction.

  Specified by:
    `extract` in interface `Extractor`
  Parameters:
    `source` - The model to extract.
    `target` - The target OutputStream. Note that other target kinds can be used using params.
    `params` - A Map of additional parameters. The key is the name of the parameter.
  See Also:
    `Extractor.extract(org.eclipse.m2m.atl.engine.vm.nativelib.ASMModel, java.io.OutputStream, java.util.Map)`

### extract

    public void extract(ASMModel format,
                        ASMModel extent,
                        java.io.OutputStream out)

  Specified by:
    `extract` in interface `Extractor`

### getPrefix

    public java.lang.String getPrefix()

  Specified by:
    `getPrefix` in interface `Extractor`

Copyright 2007 IBM Corporation and others. All Rights Reserved.